Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java	(revision 2578)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java	(revision 2584)
@@ -24,5 +24,5 @@
 
 import net.fckeditor.handlers.ConnectorHandler;
-import net.fckeditor.handlers.ResourceTypeHandler;
+import net.fckeditor.requestcycle.ThreadLocalData;
 
 /**
@@ -36,30 +36,22 @@
 	 * Constructs a URL from different parameters. This method is about to
 	 * change in version 2.5.
-	 * 
-	 * @param request
-	 * @param resourceType
-	 * @param urlPath
-	 * @param fullUrl
-	 * @return constructed url
+	 * TODO has to be improved
 	 */
-    public static String constructResponseUrl(HttpServletRequest request,
-    		ResourceTypeHandler resourceType, String urlPath,
-    		boolean fullUrl) {
-    		
-    	StringBuffer sb = new StringBuffer();
-    	
-    	if (fullUrl) {
-    		String address = request.getRequestURL().toString();
-    		sb.append(address.substring(0, address.indexOf('/', 8)));
-    	}
-    	    	
-    	sb.append(ConnectorHandler.getUserFilesPath(request));
-    	sb.append(resourceType.getPath());
-    	
-    	if (Utils.isNotEmpty(urlPath))
-    		sb.append(urlPath);
-    	
-    	return sb.toString();
-    }
+	public static String constructResponseUrl(String filePath, String resourceTypePath, String urlPath) {
+		StringBuffer sb = new StringBuffer();
+		
+		if (Utils.isNotEmpty(ConnectorHandler.getBaseUrl())) {
+			sb.append(ConnectorHandler.getBaseUrl());
+		}
+		    	
+		sb.append(filePath);
+		if (Utils.isNotEmpty(resourceTypePath))
+			sb.append(resourceTypePath);
+		
+		if (Utils.isNotEmpty(urlPath))
+			sb.append(urlPath);
+		
+		return sb.toString();
+	}
 
 }
Index: FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/handlers/ExtensionsHandlerTest.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/handlers/ExtensionsHandlerTest.java	(revision 2578)
+++ FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/handlers/ExtensionsHandlerTest.java	(revision 2584)
@@ -35,5 +35,5 @@
 	@Test
 	public void testIsAllowed01() {
-		ResourceTypeHandler type = ResourceTypeHandler.FILE;
+		ResourceType type = ResourceType.FILE;
 		ExtensionsHandler.setExtensionsAllowed(type, "a");
 		ExtensionsHandler.setExtensionsDenied(type, "b");
@@ -47,5 +47,5 @@
 	@Test
 	public void testIsAllowed02() {
-		ResourceTypeHandler type = ResourceTypeHandler.FILE;
+		ResourceType type = ResourceType.FILE;
 		ExtensionsHandler.setExtensionsAllowed(type, "a|b|c");
 		assertTrue(ExtensionsHandler.isAllowed(type, "a"));
Index: FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/handlers/ResourceTypeTest.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/handlers/ResourceTypeTest.java	(revision 2584)
+++ FCKeditor.Java/trunk/java-core/src/test/java/net/fckeditor/handlers/ResourceTypeTest.java	(revision 2584)
@@ -0,0 +1,77 @@
+/*
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * 
+ * == BEGIN LICENSE ==
+ * 
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ * 
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ * 
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ * 
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ * 
+ * == END LICENSE ==
+ */
+package net.fckeditor.handlers;
+
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertNull;
+import static org.junit.Assert.assertTrue;
+
+import org.junit.Test;
+
+/**
+ * Tests for {@link ResourceTypeHandler}.
+ * 
+ * @version $Id: ResourceTypeTest.java 1585 2008-02-21 18:13:09Z th-schwarz $
+ */
+public class ResourceTypeTest {
+
+	@Test
+	public void getType01() throws Exception {
+		assertNull(ResourceType.getResourceType("xyz"));
+	}
+
+	@Test
+	public void getType02() throws Exception {
+		assertEquals(ResourceType.FILE, ResourceType.getResourceType("File"));
+	}
+
+	@Test
+	public void getType03() throws Exception {
+		assertEquals(ResourceType.IMAGE, ResourceType.getResourceType("ImaGe"));
+	}
+	@Test
+	public void isValid01() throws Exception {
+		assertFalse(ResourceType.isValid("1234"));
+	}
+
+	@Test
+	public void isValid02() throws Exception {
+		assertTrue(ResourceType.isValid("fLash"));
+	}
+
+	@Test
+	public void isValid03() throws Exception {
+		assertTrue(ResourceType.isValid("MeDiA"));
+	}
+
+	@Test
+	public void getTypeDefault01() throws Exception {
+		assertEquals(ResourceType.FILE, ResourceType
+				.getDefaultResourceType("wrong-type"));
+	}
+
+	@Test
+	public void getTypeDefault02() throws Exception {
+		assertEquals(ResourceType.FLASH, ResourceType
+				.getDefaultResourceType("flAsh"));
+	}
+}
